# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Params-Check
Epoch:		1
Version:	0.38
Release:	365.%{__distinit}%{__distvers}
Summary:	Generic input parsing/checking mechanism
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Params-Check/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Params-Check-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Locale::Maketext::Simple)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(constant)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This is a generic input parsing/checking mechanism. It allows you to validate
input via a template. The only requirement is that the arguments must be named.

%prep
%setup -q -n Params-Check-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc CHANGES README
%{perl_vendorlib}/Params/
%{_mandir}/man3/Params::Check.3*

%changelog
* Thu Sep 15 2016 Paul Howarth <paul@city-fan.org> - 1:0.38-365
- BR: perl-generators where available
- Simplify find command using -delete

* Tue May  6 2014 Paul Howarth <paul@city-fan.org> - 1:0.38-3
- Bump epoch to compete with Fedora version
- Classify buildreqs by usage
- Improve %%description
- Drop %%defattr, redundant since rpm 4.4

* Sun Jul 14 2013 Paul Howarth <paul@city-fan.org> - 0.38-2
- Perl 5.18 rebuild

* Thu Jun 20 2013 Paul Howarth <paul@city-fan.org> - 0.38-1
- Update to 0.38 (typo fixes)

* Mon Jun 11 2012 Paul Howarth <paul@city-fan.org> - 0.36-2
- Perl 5.16 rebuild

* Sat Apr 28 2012 Paul Howarth <paul@city-fan.org> - 0.36-1
- Update to 0.36 (more speed enhancements)

* Wed Apr 25 2012 Paul Howarth <paul@city-fan.org> - 0.34-1
- Update to 0.34
  - check() now works faster
- BR: perl(Carp) and perl(Exporter)
- Don't need to remove empty directories from buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Mon Aug  8 2011 Paul Howarth <paul@city-fan.org> - 0.32-1
- Update to 0.32
  - Removed unnecessary use of Data::Dumper

* Tue Jul 26 2011 Paul Howarth <paul@city-fan.org> - 0.30-2
- Rebuild for perl 5.14.1 in Rawhide

* Tue Jul 26 2011 Paul Howarth <paul@city-fan.org> - 0.30-1
- Update to 0.30
  - WARNINGS_FATAL should apply to all check() failures now (CPAN RT#69626)
- Fix dist tag for CentOS 6 and Scientific Linux
- Nobody else likes macros for commands

* Mon Jan 10 2011 Paul Howarth <paul@city-fan.org> - 0.28-1
- Update to 0.28 (fixes for bleadperl)
- This release by BINGOS -> update source URL

* Wed Dec  8 2010 Paul Howarth <paul@city-fan.org> - 0.26-3
- Import from Fedora

* Mon Dec 31 2007 Ralf Corsépius <rc040203@freenet.de> - 0.26-2
- BR: perl(Test::More) (BZ 419631)
- Adjust License-tag

* Fri Mar 23 2007 Steven Pritchard <steve@kspei.com> - 0.26-1
- Update to 0.26
- Use fixperms macro instead of our own chmod incantation
- BR ExtUtils::MakeMaker

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> - 0.25-2
- Fix find option order

* Fri Jul 07 2006 Steven Pritchard <steve@kspei.com> - 0.25-1
- Update to 0.25

* Thu Mar 23 2006 Steven Pritchard <steve@kspei.com> - 0.24-1
- Specfile autogenerated by cpanspec 1.62
- Fix License
- Drop explicit Requires: perl(Locale::Maketext::Simple)
- Clean up Summary a little
